#!/bin/sh
if [ $(id -u) -ne 0 ]; then
  echo "****  Error: must be root to install"
  exit 1
fi
echo -n "Type full path to cgi-bin directory: "
read cgibin
if [ ! -d "${cgibin}" ]; then
  echo "****  Error: ${cgibin} directory does not exist"
  exit 1
fi
echo -n "Type the (sample) item_name: "
read item_name
if [ -z "${item_name}" ]; then
  echo "****  Error: item_name must be specified"
  exit 1
fi
echo -n "Type the (sample) item_number: "
read item_number
if [ -z "${item_number}" ]; then
  echo "****  Error: item_number must be specified"
  exit 1
fi
echo "====  Creating ${cgibin}/paypal directory"
if mkdir -p ${cgibin}/paypal/${item_number}/trans; then
chmod -R u+rwx ${cgibin}/paypal
chown -R nobody ${cgibin}/paypal
echo "====  Copying files to ${cgibin}/paypal"
if cp -i p ${cgibin}; then
chmod u+rx ${cgibin}/p
chown nobody ${cgibin}/p
(
cd ${cgibin}/paypal
ln -s ${item_number} ${item_name}
)
if cp -i 2.htm 3.htm s.htm t.htm e.htm ${cgibin}/paypal/${item_number}; then
  chmod u+r ${cgibin}/paypal/${item_number}/*.htm  
  chown nobody ${cgibin}/paypal/${item_number}/*.htm
  echo "====  Installation completed successfully"
  echo "====  Do not forget to create ${cgibin}/paypal/${item_number}/${item_number}.exe program"
  echo "====  and modify .htm files under ${cgibin}/paypal/${item_number}"
fi 
fi
fi
